      CHARACTER S(5)
      WRITE (6,35)
35    FORMAT (1x, ' Please enter a line of text ')
C     read line of text
      READ (5,36,ERR = 29) S
36    FORMAT (A5)
C     print line of text
      WRITE (6,37) S
37    FORMAT (A5)

29    WRITE (6, 20)
20    FORMAT (1X, ' HAD AN ERROR IN THE INPUT DATA ')
      STOP
      END

